Subject: [Sip] RE: sip standard related query

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 23 Dec 2003 13:29:31 +0200

Chirag,

RFC 2543 is not the latest standard for SIP. RFC 2543 was obsolete by RFC 3261 through RFC 3265. It is hard to establish whether 'there is no need to implement other standards' in your device without knowing what your device is. I would rather say that in most of the cases I know SIP is just one element of a solution, that according to the application includes the need to support other standards like RTP, SDP, etc.

Regards,

Dan

> -----Original Message-----
> From: Chirag Dhruv [mailto:[email-masked]]
> Sent: 23 December, 2003 1:12 PM
> To: [email-masked]; Romascanu, Dan (Dan)
> Subject: sip standard related query
> 
> 
> Hi
> 
> I am new to SIP and in the process of feasibility study for 
> SIP. I went 
> through a lot of material on the web, and failed to 
> understand if there 
> is a common standard for SIP protocol or not. I understand 
> that RFC2543 
> is the latest starndard available till now, and if I implement that 
> standard in my device, there is no need to implement other standards.
> 
> Looking for a response.
> 
> Thanks and Regards,
> Chirag.
> 
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Chirag Dhruv <[email-masked]>
Date: Tue, 23 Dec 2003 18:13:49 +0530

Thanks a lot for the prompt response.

I was also wondering if SIP is implemented in Hardware or software. It 
seems like it might be implemented using software.

Any hard IP is available or planned for the same?

Thanks and Regards,
Chirag.